:: Flash.bat
:: Flash LSI 1078 Controller Firmware & SAS Address 
:: (ONLY FOR NEWLY BUILT AOC-USAS-H8iR WITHOUT PROPER ID AND/OR SAS ADDRESS)
:: Author: Phong Nguyen, SMC RD Lab Validation Engineer, phongn@supermicro.com
:: Created & Tested on June 03, 2008
:: Note: used command "Flash [16 HEX Keys SAS Address]"
::
@echo off 
MegaOEM -AdpSettings Read -f H8iR_F.INI -a0
MegaCli -adpfwflash -f SAS1078_FW_Image.rom -noverchk -nosigchk -a0
MegaOEM -AdpSetSASA %1 -a0
@echo **************************************************************************
@echo * Make sure above texts DON'T have any error/warning/fail/unable display *
@echo * Make sure above texts have "Flash Completed" & "SAS Address is set"    *
@echo * Please double check your SAS Address label with the one you enter!     *
@echo * Power down system and apply the SAS Address sticker to the UIO card!   *
@echo **************************************************************************  
@echo off
